summaryrefslogtreecommitdiffstats
path: root/ansible/test/bin/ci-molecule.sh
diff options
context:
space:
mode:
authorMichal Ptacek <m.ptacek@partner.samsung.com>2019-05-07 13:10:00 +0000
committerGerrit Code Review <gerrit@onap.org>2019-05-07 13:10:00 +0000
commit029b36f9f0faedc18b032ebb8c598118ff80f67b (patch)
treefecd12762d5c4597cb3c516d7f76284087aff550 /ansible/test/bin/ci-molecule.sh
parent610aad29b391d4bce5bf2b52d353845f209022ac (diff)
parent9c9be6f11a9c1060c9f593c1308286f1ee56cd0c (diff)
Merge "Add script to start review for offline installer in community Jenkins"
Diffstat (limited to 'ansible/test/bin/ci-molecule.sh')
-rwxr-xr-xansible/test/bin/ci-molecule.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/ansible/test/bin/ci-molecule.sh b/ansible/test/bin/ci-molecule.sh
index 9fbaad51..be598a48 100755
--- a/ansible/test/bin/ci-molecule.sh
+++ b/ansible/test/bin/ci-molecule.sh
@@ -24,6 +24,8 @@
# Molecule can be adjusted in this script independently.
#
+set -e
+
SCRIPT_DIR=$(dirname "${0}")
LOCAL_PATH=$(readlink -f "$SCRIPT_DIR")
@@ -45,8 +47,8 @@ else # Install Molecule natively in the target platform
MOLECULE_BINARY=molecule
fi
-${MOLECULE_BINARY} --version
-
cd ${ROLE_PATH}
+${MOLECULE_BINARY} --version
${MOLECULE_BINARY} test --all
cd -
+